## Index

### Modules

- constants

### Interfaces

- BrotliCompress
- BrotliDecompress
- BrotliOptions
- Deflate
- DeflateRaw
- Gunzip
- Gzip
- Inflate
- InflateRaw
- Unzip
- Zlib
- ZlibOptions
- ZlibParams
- ZlibReset

### Type aliases

- CompressCallback
- InputType

### Variables

- Z_ASCII
- Z_BEST_COMPRESSION
- Z_BEST_SPEED
- Z_BINARY
- Z_BLOCK
- Z_BUF_ERROR
- Z_DATA_ERROR
- Z_DEFAULT_COMPRESSION
- Z_DEFAULT_STRATEGY
- Z_DEFLATED
- Z_ERRNO
- Z_FILTERED
- Z_FINISH
- Z_FIXED
- Z_FULL_FLUSH
- Z_HUFFMAN_ONLY
- Z_MEM_ERROR
- Z_NEED_DICT
- Z_NO_COMPRESSION
- Z_NO_FLUSH
- Z_OK
- Z_PARTIAL_FLUSH
- Z_RLE
- Z_STREAM_END
- Z_STREAM_ERROR
- Z_SYNC_FLUSH
- Z_TEXT
- Z_TREES
- Z_UNKNOWN
- Z_VERSION_ERROR

### Functions

- brotliCompress
- brotliCompressSync
- brotliDecompress
- brotliDecompressSync
- createBrotliCompress
- createBrotliDecompress
- createDeflate
- createDeflateRaw
- createGunzip
- createGzip
- createInflate
- createInflateRaw
- createUnzip
- deflate
- deflateRaw
- deflateRawSync
- deflateSync
- gunzip
- gunzipSync
- gzip
- gzipSync
- inflate
- inflateRaw
- inflateRawSync
- inflateSync
- unzip
- unzipSync

## Type aliases

### CompressCallback

CompressCallback: function

- Defined in node_modules/@types/node/zlib.d.ts:84

#### Type declaration

- - (error: Error | null, result: Buffer): void

  - #### Parameters

    - ##### error: Error | null

    - ##### result: Buffer

    #### Returns void

### InputType

InputType: string | Buffer | DataView | ArrayBuffer | TypedArray

- Defined in node_modules/@types/node/zlib.d.ts:82

## Variables

### Const Z_ASCII

Z_ASCII: number

- Defined in node_modules/@types/node/zlib.d.ts:343

deprecated

### Const Z_BEST_COMPRESSION

Z_BEST_COMPRESSION: number

- Defined in node_modules/@types/node/zlib.d.ts:307

deprecated

### Const Z_BEST_SPEED

Z_BEST_SPEED: number

- Defined in node_modules/@types/node/zlib.d.ts:303

deprecated

### Const Z_BINARY

Z_BINARY: number

- Defined in node_modules/@types/node/zlib.d.ts:335

deprecated

### Const Z_BLOCK

Z_BLOCK: number

- Defined in node_modules/@types/node/zlib.d.ts:255

deprecated

### Const Z_BUF_ERROR

Z_BUF_ERROR: number

- Defined in node_modules/@types/node/zlib.d.ts:291

deprecated

### Const Z_DATA_ERROR

Z_DATA_ERROR: number

- Defined in node_modules/@types/node/zlib.d.ts:283

deprecated

### Const Z_DEFAULT_COMPRESSION

Z_DEFAULT_COMPRESSION: number

- Defined in node_modules/@types/node/zlib.d.ts:311

deprecated

### Const Z_DEFAULT_STRATEGY

Z_DEFAULT_STRATEGY: number

- Defined in node_modules/@types/node/zlib.d.ts:331

deprecated

### Const Z_DEFLATED

Z_DEFLATED: number

- Defined in node_modules/@types/node/zlib.d.ts:351

deprecated

### Const Z_ERRNO

Z_ERRNO: number

- Defined in node_modules/@types/node/zlib.d.ts:275

deprecated

### Const Z_FILTERED

Z_FILTERED: number

- Defined in node_modules/@types/node/zlib.d.ts:315

deprecated

### Const Z_FINISH

Z_FINISH: number

- Defined in node_modules/@types/node/zlib.d.ts:251

deprecated

### Const Z_FIXED

Z_FIXED: number

- Defined in node_modules/@types/node/zlib.d.ts:327

deprecated

### Const Z_FULL_FLUSH

Z_FULL_FLUSH: number

- Defined in node_modules/@types/node/zlib.d.ts:247

deprecated

### Const Z_HUFFMAN_ONLY

Z_HUFFMAN_ONLY: number

- Defined in node_modules/@types/node/zlib.d.ts:319

deprecated

### Const Z_MEM_ERROR

Z_MEM_ERROR: number

- Defined in node_modules/@types/node/zlib.d.ts:287

deprecated

### Const Z_NEED_DICT

Z_NEED_DICT: number

- Defined in node_modules/@types/node/zlib.d.ts:271

deprecated

### Const Z_NO_COMPRESSION

Z_NO_COMPRESSION: number

- Defined in node_modules/@types/node/zlib.d.ts:299

deprecated

### Const Z_NO_FLUSH

Z_NO_FLUSH: number

- Defined in node_modules/@types/node/zlib.d.ts:235

deprecated

### Const Z_OK

Z_OK: number

- Defined in node_modules/@types/node/zlib.d.ts:263

deprecated

### Const Z_PARTIAL_FLUSH

Z_PARTIAL_FLUSH: number

- Defined in node_modules/@types/node/zlib.d.ts:239

deprecated

### Const Z_RLE

Z_RLE: number

- Defined in node_modules/@types/node/zlib.d.ts:323

deprecated

### Const Z_STREAM_END

Z_STREAM_END: number

- Defined in node_modules/@types/node/zlib.d.ts:267

deprecated

### Const Z_STREAM_ERROR

Z_STREAM_ERROR: number

- Defined in node_modules/@types/node/zlib.d.ts:279

deprecated

### Const Z_SYNC_FLUSH

Z_SYNC_FLUSH: number

- Defined in node_modules/@types/node/zlib.d.ts:243

deprecated

### Const Z_TEXT

Z_TEXT: number

- Defined in node_modules/@types/node/zlib.d.ts:339

deprecated

### Const Z_TREES

Z_TREES: number

- Defined in node_modules/@types/node/zlib.d.ts:259

deprecated

### Const Z_UNKNOWN

Z_UNKNOWN: number

- Defined in node_modules/@types/node/zlib.d.ts:347

deprecated

### Const Z_VERSION_ERROR

Z_VERSION_ERROR: number

- Defined in node_modules/@types/node/zlib.d.ts:295

deprecated

## Functions

### brotliCompress

- brotliCompress(buf: InputType, options: BrotliOptions, callback: CompressCallback): void
- brotliCompress(buf: InputType, callback: CompressCallback): void

- - Defined in node_modules/@types/node/zlib.d.ts:86

  #### Parameters

  - ##### buf: InputType

  - ##### options: BrotliOptions

  - ##### callback: CompressCallback

  #### Returns void

- - Defined in node_modules/@types/node/zlib.d.ts:87

  #### Parameters

  - ##### buf: InputType

  - ##### callback: CompressCallback

  #### Returns void

### brotliCompressSync

- brotliCompressSync(buf: InputType, options?: BrotliOptions): Buffer

- - Defined in node_modules/@types/node/zlib.d.ts:88

  #### Parameters

  - ##### buf: InputType

  - ##### Optional options: BrotliOptions

  #### Returns Buffer

### brotliDecompress

- brotliDecompress(buf: InputType, options: BrotliOptions, callback: CompressCallback): void
- brotliDecompress(buf: InputType, callback: CompressCallback): void

- - Defined in node_modules/@types/node/zlib.d.ts:89

  #### Parameters

  - ##### buf: InputType

  - ##### options: BrotliOptions

  - ##### callback: CompressCallback

  #### Returns void

- - Defined in node_modules/@types/node/zlib.d.ts:90

  #### Parameters

  - ##### buf: InputType

  - ##### callback: CompressCallback

  #### Returns void

### brotliDecompressSync

- brotliDecompressSync(buf: InputType, options?: BrotliOptions): Buffer

- - Defined in node_modules/@types/node/zlib.d.ts:91

  #### Parameters

  - ##### buf: InputType

  - ##### Optional options: BrotliOptions

  #### Returns Buffer

### createBrotliCompress

- createBrotliCompress(options?: BrotliOptions): BrotliCompress

- - Defined in node_modules/@types/node/zlib.d.ts:72

  #### Parameters

  - ##### Optional options: BrotliOptions

  #### Returns BrotliCompress

### createBrotliDecompress

- createBrotliDecompress(options?: BrotliOptions): BrotliDecompress

- - Defined in node_modules/@types/node/zlib.d.ts:73

  #### Parameters

  - ##### Optional options: BrotliOptions

  #### Returns BrotliDecompress

### createDeflate

- createDeflate(options?: ZlibOptions): Deflate

- - Defined in node_modules/@types/node/zlib.d.ts:76

  #### Parameters

  - ##### Optional options: ZlibOptions

  #### Returns Deflate

### createDeflateRaw

- createDeflateRaw(options?: ZlibOptions): DeflateRaw

- - Defined in node_modules/@types/node/zlib.d.ts:78

  #### Parameters

  - ##### Optional options: ZlibOptions

  #### Returns DeflateRaw

### createGunzip

- createGunzip(options?: ZlibOptions): Gunzip

- - Defined in node_modules/@types/node/zlib.d.ts:75

  #### Parameters

  - ##### Optional options: ZlibOptions

  #### Returns Gunzip

### createGzip

- createGzip(options?: ZlibOptions): Gzip

- - Defined in node_modules/@types/node/zlib.d.ts:74

  #### Parameters

  - ##### Optional options: ZlibOptions

  #### Returns Gzip

### createInflate

- createInflate(options?: ZlibOptions): Inflate

- - Defined in node_modules/@types/node/zlib.d.ts:77

  #### Parameters

  - ##### Optional options: ZlibOptions

  #### Returns Inflate

### createInflateRaw

- createInflateRaw(options?: ZlibOptions): InflateRaw

- - Defined in node_modules/@types/node/zlib.d.ts:79

  #### Parameters

  - ##### Optional options: ZlibOptions

  #### Returns InflateRaw

### createUnzip

- createUnzip(options?: ZlibOptions): Unzip

- - Defined in node_modules/@types/node/zlib.d.ts:80

  #### Parameters

  - ##### Optional options: ZlibOptions

  #### Returns Unzip

### deflate

- deflate(buf: InputType, callback: CompressCallback): void
- deflate(buf: InputType, options: ZlibOptions, callback: CompressCallback): void

- - Defined in node_modules/@types/node/zlib.d.ts:92

  #### Parameters

  - ##### buf: InputType

  - ##### callback: CompressCallback

  #### Returns void

- - Defined in node_modules/@types/node/zlib.d.ts:93

  #### Parameters

  - ##### buf: InputType

  - ##### options: ZlibOptions

  - ##### callback: CompressCallback

  #### Returns void

### deflateRaw

- deflateRaw(buf: InputType, callback: CompressCallback): void
- deflateRaw(buf: InputType, options: ZlibOptions, callback: CompressCallback): void

- - Defined in node_modules/@types/node/zlib.d.ts:95

  #### Parameters

  - ##### buf: InputType

  - ##### callback: CompressCallback

  #### Returns void

- - Defined in node_modules/@types/node/zlib.d.ts:96

  #### Parameters

  - ##### buf: InputType

  - ##### options: ZlibOptions

  - ##### callback: CompressCallback

  #### Returns void

### deflateRawSync

- deflateRawSync(buf: InputType, options?: ZlibOptions): Buffer

- - Defined in node_modules/@types/node/zlib.d.ts:97

  #### Parameters

  - ##### buf: InputType

  - ##### Optional options: ZlibOptions

  #### Returns Buffer

### deflateSync

- deflateSync(buf: InputType, options?: ZlibOptions): Buffer

- - Defined in node_modules/@types/node/zlib.d.ts:94

  #### Parameters

  - ##### buf: InputType

  - ##### Optional options: ZlibOptions

  #### Returns Buffer

### gunzip

- gunzip(buf: InputType, callback: CompressCallback): void
- gunzip(buf: InputType, options: ZlibOptions, callback: CompressCallback): void

- - Defined in node_modules/@types/node/zlib.d.ts:101

  #### Parameters

  - ##### buf: InputType

  - ##### callback: CompressCallback

  #### Returns void

- - Defined in node_modules/@types/node/zlib.d.ts:102

  #### Parameters

  - ##### buf: InputType

  - ##### options: ZlibOptions

  - ##### callback: CompressCallback

  #### Returns void

### gunzipSync

- gunzipSync(buf: InputType, options?: ZlibOptions): Buffer

- - Defined in node_modules/@types/node/zlib.d.ts:103

  #### Parameters

  - ##### buf: InputType

  - ##### Optional options: ZlibOptions

  #### Returns Buffer

### gzip

- gzip(buf: InputType, callback: CompressCallback): void
- gzip(buf: InputType, options: ZlibOptions, callback: CompressCallback): void

- - Defined in node_modules/@types/node/zlib.d.ts:98

  #### Parameters

  - ##### buf: InputType

  - ##### callback: CompressCallback

  #### Returns void

- - Defined in node_modules/@types/node/zlib.d.ts:99

  #### Parameters

  - ##### buf: InputType

  - ##### options: ZlibOptions

  - ##### callback: CompressCallback

  #### Returns void

### gzipSync

- gzipSync(buf: InputType, options?: ZlibOptions): Buffer

- - Defined in node_modules/@types/node/zlib.d.ts:100

  #### Parameters

  - ##### buf: InputType

  - ##### Optional options: ZlibOptions

  #### Returns Buffer

### inflate

- inflate(buf: InputType, callback: CompressCallback): void
- inflate(buf: InputType, options: ZlibOptions, callback: CompressCallback): void

- - Defined in node_modules/@types/node/zlib.d.ts:104

  #### Parameters

  - ##### buf: InputType

  - ##### callback: CompressCallback

  #### Returns void

- - Defined in node_modules/@types/node/zlib.d.ts:105

  #### Parameters

  - ##### buf: InputType

  - ##### options: ZlibOptions

  - ##### callback: CompressCallback

  #### Returns void

### inflateRaw

- inflateRaw(buf: InputType, callback: CompressCallback): void
- inflateRaw(buf: InputType, options: ZlibOptions, callback: CompressCallback): void

- - Defined in node_modules/@types/node/zlib.d.ts:107

  #### Parameters

  - ##### buf: InputType

  - ##### callback: CompressCallback

  #### Returns void

- - Defined in node_modules/@types/node/zlib.d.ts:108

  #### Parameters

  - ##### buf: InputType

  - ##### options: ZlibOptions

  - ##### callback: CompressCallback

  #### Returns void

### inflateRawSync

- inflateRawSync(buf: InputType, options?: ZlibOptions): Buffer

- - Defined in node_modules/@types/node/zlib.d.ts:109

  #### Parameters

  - ##### buf: InputType

  - ##### Optional options: ZlibOptions

  #### Returns Buffer

### inflateSync

- inflateSync(buf: InputType, options?: ZlibOptions): Buffer

- - Defined in node_modules/@types/node/zlib.d.ts:106

  #### Parameters

  - ##### buf: InputType

  - ##### Optional options: ZlibOptions

  #### Returns Buffer

### unzip

- unzip(buf: InputType, callback: CompressCallback): void
- unzip(buf: InputType, options: ZlibOptions, callback: CompressCallback): void

- - Defined in node_modules/@types/node/zlib.d.ts:110

  #### Parameters

  - ##### buf: InputType

  - ##### callback: CompressCallback

  #### Returns void

- - Defined in node_modules/@types/node/zlib.d.ts:111

  #### Parameters

  - ##### buf: InputType

  - ##### options: ZlibOptions

  - ##### callback: CompressCallback

  #### Returns void

### unzipSync

- unzipSync(buf: InputType, options?: ZlibOptions): Buffer

- - Defined in node_modules/@types/node/zlib.d.ts:112

  #### Parameters

  - ##### buf: InputType

  - ##### Optional options: ZlibOptions

  #### Returns Buffer

Generated using TypeDoc